REST API
Get a study set with its terms
Returns the set and up to 500 of its terms. termsTruncated is true when the set has more.
Required scopes: sets:view
AuthorizationBearer <token>
In: header
Path Parameters
id*string
Resource id, scoped to the key's user.
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/sets/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "id": "7e6d5c4b-3a2f-4e1d-8c0b-9a8f7e6d5c4b", "name": "Spanish verbs", "description": "Irregular preterite forms.", "subject": "5f0c1d2e-3a4b-4c5d-8e6f-7a8b9c0d1e2f", "termCount": 1, "created": "2026-01-15T09:30:00.000Z", "lastUsed": "2026-02-01T12:00:00.000Z", "updated": "2026-02-01T12:00:00.000Z", "terms": [ { "id": "2a1b0c9d-8e7f-4a6b-9c5d-4e3f2a1b0c9d", "term": "tener (yo)", "definition": "tuve", "hints": [ "irregular stem tuv-" ] } ], "termsTruncated": false }}